libclamunrar7_0.100.1-1~ubuntu0.18.04.1_amd64.deb


Advertisement

Description

libclamunrar7 - anti-virus utility for Unix - unrar support

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Multiverse amd64
Package name libclamunrar7
Package version 0.100.1
Package release 1~ubuntu0.18.04.1
Package architecture amd64
Package type deb
Installed size 85 B
Download size 31.84 KB
Official Mirror archive.ubuntu.com
Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
this software is the integration with mail servers (attachment
scanning). The package provides a flexible and scalable
multi-threaded daemon in the clamav-daemon package, a command-line
scanner in the clamav package, and a tool for automatic updating via
the Internet in the clamav-freshclam package. The programs are based
on libclamav7, which can be used by other software.
This package provides support for RAR packaged files or mail attachments.
Support will be available once this package is installed and clamd or a local
clamscan is restarted.

Alternatives

Package Version Architecture Repository
libclamunrar7_0.100.1-1~ubuntu0.18.04.1_i386.deb 0.100.1 i386 Ubuntu Updates Multiverse
libclamunrar7_0.99-4ubuntu1_i386.deb 0.99 i386 Ubuntu Multiverse
libclamunrar7_0.99-4ubuntu1_amd64.deb 0.99 amd64 Ubuntu Multiverse
libclamunrar7 - - -

Requires

Name Value
libc6 >= 2.14
libclamav7 -

Download

Type URL
Binary Package libclamunrar7_0.100.1-1~ubuntu0.18.04.1_amd64.deb
Source Package libclamunrar

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libclamunrar7 deb package:
    # sudo apt-get install libclamunrar7

Changelog

2018-07-24 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
libclamunrar (0.100.1-1~ubuntu0.18.04.1) bionic-security; urgency=medium
* Updated to new version to fix compatibility with clamav security
update.
2018-07-21 - Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
libclamunrar (0.100.1-1) unstable; urgency=medium
[ Scott Kitterman ]
* Delete symlinks to files no longer shipped in libclamav7 (Closes: #903792)
[ Sebastian Andrzej Siewior ]
* Update to upstream version.
- Buffer over-read in unRAR code due to missing max value checks in table
initialization. Reported by Rui Reis.
2018-06-21 - Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
libclamunrar (0.100.0-1) unstable; urgency=medium
* Update to new upstream version (Closes: #873027).
* Update compat level to 11.
* Drop autoreconf related build-depends.
* Point Vcs* to salsa.
* Bumped standards version to 4.1.4.
- Use priority optional.
* Use https in the watchfile.
* Use `hardening=+all'.
2017-07-05 - Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
libclamunrar (0.99-4) unstable; urgency=medium
* Cherry pick fix for arbitrary memory write. CVE-2012-6706
(Closes: #867223).
2016-12-17 - Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
libclamunrar (0.99-3) unstable; urgency=medium
* Add a fixup for bb11601.
* Update VCS links.
* Bumped standards version to 3.9.8 (no changes required).
* Update compat level to 10.
* Drop autoreconv - it is default now
2016-11-03 - Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
libclamunrar (0.99-2) unstable; urgency=medium
* Add patches from upstream bugzilla bb11600 and bb11601 to fix out of band
access
* drop openssl check (Closes: #828383).
2015-12-04 - Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
libclamunrar (0.99-1) unstable; urgency=medium
[ Scott Kitterman ]
* Correct debian/copyright to add missing copyright declarations/dates
[ Sebastian Andrzej Siewior ]
* Bumped standards version to 3.9.6 (no changes required).
* Import new upstream. This is required because clamav's major .so version
changed.
* switch from libclamunrar6 to libclamunrar7
* copy clamav's watch file
* add pkg-config to dependencies so autoreconf does not break
* don't link against libpcre if available.
2014-11-22 - Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
libclamunrar (0.98.5-1) unstable; urgency=medium
[ Sebastian Andrzej Siewior ]
* Update to new upstream version.
- Finaly address "double-free error exists within the
unrar_extract_next_prepare()" (Closes: #770647)
* Drop automake workaround, the bug was fixed.
* Fix LFS support using the same approach as clamav for compatibility and
correctness
[ Scott Kitterman ]
* Add build-dep on libssl-dev, needed for configure even if not used
in libclamunrar
* Update debian/copyright to add openssl exception per COPYING
2014-05-03 - Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
libclamunrar (0.98.1-1) unstable; urgency=low
* New upstream version
* redo rules files to something smaller like we do have in the clamav
package.
* Do autoreconf before configure (closes: #727917).
* Enable hardened build flags (closes: #741080).
* Remove all .la files (clamd works without them).
* Add VCS-* tags.
* Add myself as uploader.
* Remove *.so files (lintian warning).
* Add a symbol file.
* Bumb standards version to 3.9.1 after made the required changes.
2010-10-26 - Michael Tautschnig <mt@debian.org>
libclamunrar (0.96.4-1) unstable; urgency=low
* New upstream version
* Bumped standards version to 3.9.1 (no changes).

See Also

Package Description
libcuda1-331-updates_340.107-0ubuntu0.18.04.1_amd64.deb Transitional package for libcuda1-340
libcuda1-331_340.107-0ubuntu0.18.04.1_amd64.deb Transitional package for libcuda1-340
libcuda1-340-updates_340.107-0ubuntu0.18.04.1_amd64.deb Transitional package for libcuda1-340
libcuda1-384_390.77-0ubuntu0.18.04.1_amd64.deb Transitional package for nvidia-headless-390
nvidia-libopencl1-331-updates_340.107-0ubuntu0.18.04.1_amd64.deb Transitional package for nvidia-libopencl1-340
nvidia-libopencl1-331_340.107-0ubuntu0.18.04.1_amd64.deb Transitional package for nvidia-libopencl1-340
nvidia-libopencl1-340-updates_340.107-0ubuntu0.18.04.1_amd64.deb Transitional package for nvidia-libopencl1-340
nvidia-libopencl1-340_340.107-0ubuntu0.18.04.1_amd64.deb NVIDIA OpenCL Driver and ICD Loader library
nvidia-libopencl1-384_390.77-0ubuntu0.18.04.1_amd64.deb Transitional package for nvidia-headless-390
nvidia-opencl-icd-331-updates_340.107-0ubuntu0.18.04.1_amd64.deb Transitional package for nvidia-opencl-icd-340
nvidia-opencl-icd-331_340.107-0ubuntu0.18.04.1_amd64.deb Transitional package for nvidia-opencl-icd-340
nvidia-opencl-icd-340-updates_340.107-0ubuntu0.18.04.1_amd64.deb Transitional package for nvidia-opencl-icd-340
nvidia-opencl-icd-384_390.77-0ubuntu0.18.04.1_amd64.deb Transitional package for nvidia-headless-390
virtualbox-dkms_5.2.10-dfsg-6ubuntu18.04.1_all.deb x86 virtualization solution - kernel module sources for dkms
virtualbox-ext-pack_5.2.10-3ubuntu18.04.1_all.deb extra capabilities for VirtualBox, downloader
Advertisement
Advertisement